package main

import (
	"os"

	"code.obermui.de/6543/GitLab_MergeDevel2Default/merge"
	"code.obermui.de/6543/GitLab_MergeDevel2Default/tags"
	"code.obermui.de/6543/GitLab_MergeDevel2Default/utils"

	"github.com/urfave/cli/v2"
)

var (
	Version = "dev"
)

func main() {

	app := cli.NewApp()
	app.Name = "vv-tool"
	app.Usage = "VV command line tool to interact with Gitlab"
	app.Description = "cli tool for VV to manage things"
	app.Version = Version
	app.Commands = []*cli.Command{
		&merge.CmdMerge,
		&tags.CmdCreateTag,
	}

	app.EnableBashCompletion = true
	err := app.Run(os.Args)
	if err != nil {
		utils.Error(1, "Error: %v\n", err)
	}
}
